Skip to content
Pile
Esc
navigateopen⌘Jpreview

Create support escalation rule

POST/workspaces/{organizationId}/support/escalation-rules
Path parameters
organizationIdstringrequired
Request body
application/json
namestringrequired
min length 1
isActiveboolean
sortOrderinteger
conditionsobjectrequired
Show properties
keywordsstring[]
channelsstring[]
prioritiesstring[]
statusesstring[]
sourcesstring[]
customerDomainsstring[]
actionobjectrequired
Show properties
typestringrequired
Allowed:create_issue
teamIdstring
prioritystring
Allowed:lowmediumhighurgent
statusstring
Allowed:triagebacklogtodoin_progressdonecanceled
labelIdsstring[]
Responses
201Rule created
ruleobjectrequired
Show properties
idstringrequired
organizationIdstringrequired
namestringrequired
isActivebooleanrequired
sortOrdernumberrequired
conditionsobjectrequired
Show properties
keywordsstring[]
channelsstring[]
prioritiesstring[]
statusesstring[]
sourcesstring[]
customerDomainsstring[]
actionobjectrequired
Show properties
typestringrequired
Allowed:create_issue
teamIdstring
prioritystring
Allowed:lowmediumhighurgent
statusstring
Allowed:triagebacklogtodoin_progressdonecanceled
labelIdsstring[]
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST "/workspaces/string/support/escalation-rules" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "isActive": true,
  "sortOrder": 0,
  "conditions": {
    "keywords": [
      "string"
    ],
    "channels": [
      "email"
    ],
    "priorities": [
      "low"
    ],
    "statuses": [
      "todo"
    ],
    "sources": [
      "intercom"
    ],
    "customerDomains": [
      "string"
    ]
  },
  "action": {
    "type": "create_issue",
    "teamId": "string",
    "priority": "low",
    "status": "triage",
    "labelIds": [
      "string"
    ]
  }
}'
Response
{
  "rule": {
    "id": "string",
    "organizationId": "string",
    "name": "string",
    "isActive": true,
    "sortOrder": 0,
    "conditions": {
      "keywords": [
        "string"
      ],
      "channels": [
        "email"
      ],
      "priorities": [
        "low"
      ],
      "statuses": [
        "todo"
      ],
      "sources": [
        "intercom"
      ],
      "customerDomains": [
        "string"
      ]
    },
    "action": {
      "type": "create_issue",
      "teamId": "string",
      "priority": "low",
      "status": "triage",
      "labelIds": [
        "string"
      ]
    },
    "createdAt": "string",
    "updatedAt": "string"
  }
}